GLS ShipIT 5.0.17 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.CreatedShipment Class Reference

## Public Member Functions
List< String > | getShipmentReference ()
List< ParcelData > | getParcelData ()
List< Document > | getPrintData ()
String | getCustomerID ()
void | setCustomerID (String value)
String | getPickupLocation ()
void | setPickupLocation (String value)
List< String > | getGDPR ()
String | getNemonico ()
void | setNemonico (String value)

## Protected Attributes
List< String > | shipmentReference
List< ParcelData > | parcelData
List< Document > | printData
String | customerID
String | pickupLocation
List< String > | gdpr
String | nemonico

## Detailed Description

Data being returned from createShipment request

Java class for CreatedShipment complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="CreatedShipment">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="ShipmentReference" type="{http://fpcs.gls-group.eu/v1/Common}CustomerReferenceNumber" maxOccurs="unbounded" minOccurs="0"/>
            <element name="ParcelData" type="{http://fpcs.gls-group.eu/v1/ShipmentProcessing/types}ParcelData" maxOccurs="unbounded" minOccurs="0"/>
            <element name="PrintData" type="{http://fpcs.gls-group.eu/v1/ShipmentProcessing/types}Document" maxOccurs="unbounded" minOccurs="0"/>
            <element name="CustomerID" type="{http://fpcs.gls-group.eu/v1/Common}Index"/>
            <element name="PickupLocation" type="{http://www.w3.org/2001/XMLSchema}string"/>
            <element name="GDPR" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
            <element name="Nemonico" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 52 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/CreatedShipment.java.

## Member Function Documentation

## ◆ getCustomerID()

String eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.CreatedShipment.getCustomerID | ( |  | ) |

Gets the value of the customerID property.

Returns
  possible object is String

Definition at line 164 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/CreatedShipment.java.

## ◆ getGDPR()

List<String> eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.CreatedShipment.getGDPR | ( |  | ) |

Gets the value of the gdpr property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the gdpr property.

For example, to add a new item, do as follows:

       getGDPR().add(newItem);

Objects of the following type(s) are allowed in the list String

Definition at line 226 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/CreatedShipment.java.

## ◆ getNemonico()

String eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.CreatedShipment.getNemonico | ( |  | ) |

Gets the value of the nemonico property.

Returns
  possible object is String

Definition at line 241 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/CreatedShipment.java.

## ◆ getParcelData()

List<ParcelData> eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.CreatedShipment.getParcelData | ( |  | ) |

Gets the value of the parcelData property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the parcelData property.

For example, to add a new item, do as follows:

       getParcelData().add(newItem);

Objects of the following type(s) are allowed in the list ParcelData

Definition at line 120 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/CreatedShipment.java.

## ◆ getPickupLocation()

String eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.CreatedShipment.getPickupLocation | ( |  | ) |

Gets the value of the pickupLocation property.

Returns
  possible object is String

Definition at line 188 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/CreatedShipment.java.

## ◆ getPrintData()

List<Document> eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.CreatedShipment.getPrintData | ( |  | ) |

Gets the value of the printData property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the printData property.

For example, to add a new item, do as follows:

       getPrintData().add(newItem);

Objects of the following type(s) are allowed in the list Document

Definition at line 149 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/CreatedShipment.java.

## ◆ getShipmentReference()

List<String> eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.CreatedShipment.getShipmentReference | ( |  | ) |

Gets the value of the shipmentReference property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the shipmentReference property.

For example, to add a new item, do as follows:

       getShipmentReference().add(newItem);

Objects of the following type(s) are allowed in the list String

Definition at line 91 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/CreatedShipment.java.

## ◆ setCustomerID()

void eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.CreatedShipment.setCustomerID | ( | String | value | ) |

Sets the value of the customerID property.

Parameters

  value | allowed object is String

Definition at line 176 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/CreatedShipment.java.

## ◆ setNemonico()

void eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.CreatedShipment.setNemonico | ( | String | value | ) |

Sets the value of the nemonico property.

Parameters

  value | allowed object is String

Definition at line 253 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/CreatedShipment.java.

## ◆ setPickupLocation()

void eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.CreatedShipment.setPickupLocation | ( | String | value | ) |

Sets the value of the pickupLocation property.

Parameters

  value | allowed object is String

Definition at line 200 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/CreatedShipment.java.

## Member Data Documentation

## ◆ customerID

String eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.CreatedShipment.customerID
| protected

Definition at line 61 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/CreatedShipment.java.

## ◆ gdpr

List<String> eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.CreatedShipment.gdpr
| protected

Definition at line 65 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/CreatedShipment.java.

## ◆ nemonico

String eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.CreatedShipment.nemonico
| protected

Definition at line 67 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/CreatedShipment.java.

## ◆ parcelData

List<ParcelData> eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.CreatedShipment.parcelData
| protected

Definition at line 57 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/CreatedShipment.java.

## ◆ pickupLocation

String eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.CreatedShipment.pickupLocation
| protected

Definition at line 63 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/CreatedShipment.java.

## ◆ printData

List<Document> eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.CreatedShipment.printData
| protected

Definition at line 59 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/CreatedShipment.java.

## ◆ shipmentReference

List<String> eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.CreatedShipment.shipmentReference
| protected

Definition at line 55 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/CreatedShipment.java.

The documentation for this class was generated from the following file:

- glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/CreatedShipment.java